﻿namespace Model;

public interface IDataManager
{
    List<Title> GetTitles();

    List<Album> GetAlbums();

    List<Artist> GetArtists();

    List<Playlist> GetPlaylists();

    public void AddAlbum(Album album);

    public void AddArtist(Artist artist);

    public void AddPlaylist(Playlist playlist);

    public void AddTitle(Title title);

    public void RemoveAlbum(Album album);

    public void RemoveArtist(Artist artist);

    public void RemovePlaylist(Playlist playlist);

    public void RemoveTitle(Title title);

}