﻿using Model;
using Model.Stub;

Manager Manager = new Manager();

foreach(Album Album in Manager.GetAlbums())
{
    Console.WriteLine(Album.Name);
}

Console.WriteLine("---------------");

Manager.AddAlbum(new Album("coucou", "path.png", new Artist("lorenzo"), "descLolo", "infoLolo"));

foreach (Album Album in Manager.GetAlbums())
{
    Console.WriteLine(Album.Name);
}

Manager.AddPlaylist(new Playlist("MegaTeuf", "DescPlaylist", "ImagePlaylist"));

Playlist p1 = Manager.Playlists.First();

Title? current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);

p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);

p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);

p1.Loop = true;
p1.AddTitle(new CustomTitle("Nouveau", "img.png", "infos", "path.mp3"));
p1.Shuffle = true;
Console.WriteLine("--------------------");

p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);


Console.WriteLine("--------------------");

p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);

Console.WriteLine("--------------------");

p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.NextTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);

// Quand aléatoire et que retour arrière puis retour avant, musique aléatoire et non celle de base

Console.WriteLine("--------------------");

p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);

p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);
p1.PreviousTitle();
current = p1.GetCurrentTitle();
Console.WriteLine(current?.Name);




